#define D3DFVF_CUSTOMVERTEX (D3DFVF_XYZ|D3DFVF_DIFFUSE)
//////////////////////////////////////  
HWND hWnd;
LPDIRECT3D9 pDirect3D=NULL;
LPDIRECT3DDEVICE9 pDirectDevice=NULL;
LPDIRECT3DVERTEXBUFFER9 pBufferVertex=NULL;		//   
////////////////////////////////////// 
bool InitDirectX(void); // DirectX,   0(false) -  
void RenderScene(void); // 
void Destroy3D(void);   //  
bool InitBufferVertex(void);		// 
void SetupMatrix(void);		// 
//////////////////////////////////////
struct CUSTOMVERTEX					// 
{
	FLOAT x, y, z;
	DWORD color;
};
//-----------------------------------------------------------------------------------
bool InitDirectX(void)
{
	if((pDirect3D=Direct3DCreate9(D3D_SDK_VERSION)) == NULL)
		return(false);
	D3DDISPLAYMODE stDisplay;
	if(FAILED(pDirect3D->GetAdapterDisplayMode(D3DADAPTER_DEFAULT, &stDisplay)))
		return(false);
	D3DPRESENT_PARAMETERS Direct3DParametr;
	ZeroMemory(&Direct3DParametr, sizeof(Direct3DParametr));
	Direct3DParametr.Windowed=TRUE;
	Direct3DParametr.SwapEffect=D3DSWAPEFFECT_DISCARD;
	Direct3DParametr.BackBufferFormat=stDisplay.Format;
	if(FAILED(pDirect3D->CreateDevice(D3DADAPTER_DEFAULT, D3DDEVTYPE_HAL, hWnd, D3DCREATE_HARDWARE_VERTEXPROCESSING, &Direct3DParametr, &pDirectDevice)))
		return(false);
	if(!InitBufferVertex())
		return(false);
	pDirectDevice->SetRenderState(D3DRS_CULLMODE, D3DCULL_NONE);	// 
	pDirectDevice->SetRenderState(D3DRS_LIGHTING, FALSE);				// 
	return(true);
}//-----------------------------------------------------------------------------------
bool InitBufferVertex(void)
{
	VOID *pBV;
	CUSTOMVERTEX stVertex[]=
	{	
		{ -1.0f,  0.5f, 0.0f, 0x00ff0000 },
		{ -0.5f,  1.0f, 0.0f, 0x00ff0000 },
		{  0.0f,  0.5f, 0.0f, 0x00ff0000 },

		{  0.0f,  0.5f, 0.0f, 0x000000ff },
		{  0.5f,  1.0f, 0.0f, 0x000000ff },
		{  1.0f,  0.5f, 0.0f, 0x000000ff },

		{ -1.0f,  0.5f, 0.0f, 0x0000ff00 },
		{  1.0f,  0.5f, 0.0f, 0x0000ff00 },
		{  0.0f, -1.0f, 0.0f, 0x0000ff00 },
	};
	if(FAILED(pDirectDevice->CreateVertexBuffer(9*sizeof(CUSTOMVERTEX), 0, D3DFVF_CUSTOMVERTEX, D3DPOOL_DEFAULT, &pBufferVertex, NULL)))
		return(false);
	if(FAILED(pBufferVertex->Lock(0, sizeof(stVertex), (void**)&pBV, 0)))
		return(false);
	memcpy(pBV, stVertex, sizeof(stVertex));
	pBufferVertex->Unlock();
	return(true);
}//-----------------------------------------------------------------------------------
void Destroy3D(void)
{
	if(pBufferVertex!=NULL)
		pBufferVertex->Release();
	if(pDirectDevice!=NULL)
		pDirectDevice->Release();
	if(pDirect3D!=NULL)
		pDirect3D->Release();
}//-----------------------------------------------------------------------------------