void RenderScene(void)
{
	if(pDirectDevice==NULL)
		return;
	pDirectDevice->Clear(0, NULL, D3DCLEAR_TARGET, D3DCOLOR_XRGB(170, 200, 170), 1.0f, 0);
	pDirectDevice->BeginScene();
	SetupMatrix();
	pDirectDevice->SetStreamSource(0, pBufferVertex, 0, sizeof(CUSTOMVERTEX));
	pDirectDevice->SetFVF(D3DFVF_CUSTOMVERTEX);
	pDirectDevice->DrawPrimitive(D3DPT_TRIANGLELIST, 0, 3);
	pDirectDevice->EndScene();
	pDirectDevice->Present(NULL, NULL, NULL, NULL);
}//-----------------------------------------------------------------------------------
void SetupMatrix()
{
	D3DXMATRIX MatrixWorld;
	D3DXMATRIX MatrixView;
	D3DXMATRIX MatrixProjection;
	UINT iTime=timeGetTime()%5000;
	FLOAT fAngle=iTime*(2.0f*D3DX_PI)/5000.0f;
	D3DXMatrixRotationX(&MatrixWorld, fAngle);
	pDirectDevice->SetTransform(D3DTS_WORLD, &MatrixWorld);
	D3DXMatrixLookAtLH(&MatrixView, &D3DXVECTOR3(0.0f, 0.0f, -8.0f), &D3DXVECTOR3(0.0f, 0.0f, 0.0f), &D3DXVECTOR3(0.0f, 1.0f, 0.0f));
	pDirectDevice->SetTransform(D3DTS_VIEW, &MatrixView);
	D3DXMatrixPerspectiveFovLH(&MatrixProjection, D3DX_PI/4, 1.0f, 1.0f, 100.0f);
	pDirectDevice->SetTransform(D3DTS_PROJECTION, &MatrixProjection);
}//-----------------------------------------------------------------------------------